Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface.cpp	(revision 134)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface.cpp	(revision 135)
@@ -38,4 +38,5 @@
 #ifdef VHDL_TESTBENCH
     _nb_cycle      = 0;
+    _make_testbench= true;
 #endif
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_testbench_test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_testbench_test.cpp	(revision 134)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_testbench_test.cpp	(revision 135)
@@ -52,5 +52,10 @@
 	
 	vhdl->set_body("");
-	vhdl->set_body(test_name + " <= '1' when ("+reset_name+" = '0') else "+test_name_tmp+";");
+// 	vhdl->set_body(test_name + " <= '1' when ("+reset_name+" = '0') else "+test_name_tmp+";");
+
+        if (_make_testbench)
+          vhdl->set_body(test_name + " <= '1' when ("+reset_name+" = '0') else "+test_name_tmp+";");
+        else
+          vhdl->set_body(test_name + " <= '1';");
 
 // #ifdef VHDL_TESTBENCH_ASSERT
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_test.cpp	(revision 134)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_test.cpp	(revision 135)
@@ -26,5 +26,10 @@
     std::string test_name_ok = testbench_test_ok  (vhdl);
 
-    vhdl->set_body(test_name + " <= '1' when ("+reset_name+" = '0') else "+test_name_ok+";");
+//     vhdl->set_body(test_name + " <= '1' when ("+reset_name+" = '0') else "+test_name_ok+";");
+
+    if (_make_testbench)
+      vhdl->set_body(test_name + " <= '1' when ("+reset_name+" = '0') else "+test_name_ok+";");
+    else
+      vhdl->set_body(test_name + " <= '1';");
 
     log_printf(FUNC,Behavioural,"testbench_test","End");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_link.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_link.cpp	(revision 134)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_link.cpp	(revision 135)
@@ -102,6 +102,6 @@
     if (not source_have_multi_consumer)
       connect (signal_dest);
-    else
-      msgWarning(_("Source have multi consumer !\n"));
+//     else
+//       msgWarning(_("Source have multi consumer !\n"));
 
     log_printf(FUNC,Behavioural,FUNCTION,"End");
